unit dtex;

interface

uses
  dstream,
  dstream_op,
  dtexture2d;

type
TTexture2dFormatTex = object(TTexture2dFormatNew)
  function CheckFormat(Stream: PStream): Boolean; virtual; abstract;
  function Load(Stream: PStream; var Texture: TTexture2dRgba_): Boolean; virtual; abstract;
end;

implementation

function TTexture2dFormatTex.CheckFormat(Stream: PStream): Boolean;
begin
end;

initialization
  RegistTexture2dFormat(TTexture2dFormatTex.Create);
end.
